<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.activities.mapper.SignInRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="signInRecordResultMap" type="org.springblade.modules.activities.entity.SignInRecord">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="sign_in_id" property="signInId"/>
    </resultMap>


    <select id="selectSignInRecordPage" resultMap="signInRecordResultMap">
        select * from biz_sign_in_record where is_deleted = 0
    </select>

</mapper>
